std::plus(3)

NAME
std::plus - std::plus

Synopsis
   Defined in header <functional>
   template< class T > (until C++14)
   struct plus;
   template< class T = void > (since C++14)
   struct plus;
   Function object for performing addition. Effectively calls operator+ on two
   instances of type T.

Specializations
   The standard library provides a specialization of std::plus when T is
   not specified, which leaves the parameter types and return type to be
   deduced.
                        (since C++14)
   plus<void> function object implementing x + y deducing argument and
   (C++14) return types
              (class template specialization)

Member types
   Type Definition
   result_type (deprecated in C++17)(removed in C++20) T
   first_argument_type (deprecated in C++17)(removed in C++20) T
   second_argument_type (deprecated in C++17)(removed in C++20) T
   These member types are obtained via publicly inheriting (until C++11)
   std::binary_function<T, T, T>.

Member functions
   operator() returns the sum of two arguments
              (public member function) std::plus::operator()
   T operator()( const T& lhs, const T& rhs ) const; (until C++14)
   constexpr T operator()( const T& lhs, const T& rhs ) const; (since C++14)
   Returns the sum of lhs and rhs.

Parameters
   lhs, rhs - values to sum

Return value
   The result of lhs + rhs.

Exceptions
   May throw implementation-defined exceptions.

Possible implementation
   constexpr T operator()(const T &lhs, const T &rhs) const
   {
       return lhs + rhs;
   }